# -*- coding: UTF-8 -*-

from gm_dataquery.dataquery import DataBuilder, DataSQLQuery
from gm_dataquery.db import DB

from channel.models import Version, VersionToChannel, Channel, ChannelVendor


class VersionDB(DataBuilder):
    pass


@DB
class VersionDQ(DataSQLQuery):
    model = Version
    data_model = VersionDB


class ChannelDB(DataBuilder):
    pass


@DB
class ChannelDQ(DataSQLQuery):
    model = Channel
    data_model = ChannelDB


class VersionChannelDB(DataBuilder):
    pass


@DB
class VersionChannelDQ(DataSQLQuery):
    model = VersionToChannel
    data_model = VersionChannelDB


class ChannelVendorDB(DataBuilder):
    pass


@DB
class ChannelVendorDQ(DataSQLQuery):
    model = ChannelVendor
    data_model = ChannelVendorDB
